import { IApi } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{}, {
    __sfc: boolean;
    emit: (event: "on-ok", ...args: any[]) => void;
    ignoreCommonHeader: import("vue").Ref<boolean>;
    curlData: import("vue").Ref<string>;
    api: import("vue").Ref<IApi | undefined>;
    valid: import("vue").Ref<"init" | "success" | "failure">;
    showInput: import("vue").Ref<boolean>;
    refDesigner: import("vue").Ref<any>;
    name: import("vue").Ref<string>;
    commonHeaderTips: import("vue").ComputedRef<string>;
    isApiValid: import("vue").ComputedRef<boolean>;
    onDesignerChange: () => void;
    getContent: () => IApi;
    doImport: () => void;
    next: () => void;
    previous: () => void;
    save: () => Promise<void>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        fit: boolean;
        gutter: boolean;
        grow: boolean;
    }>;
    FormBtns: import("vue").DefineComponent<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        emit: (event: "on-ok" | "on-cancel", ...args: any[]) => void;
        onCancel: () => void;
        onOk: () => void;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Space: import("vue").DefineComponent<{}, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-ok" | "on-cancel")[], string, Readonly<import("vue").ExtractPropTypes<{
        disabled: {
            type: BooleanConstructor;
        };
        okText: {
            type: StringConstructor;
            default: string;
        };
        showCancel: {
            type: BooleanConstructor;
            default: boolean;
        };
        cancelPosition: {
            type: StringConstructor;
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
        padding: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        padding: boolean;
        loading: boolean;
        disabled: boolean;
        okText: string;
        showCancel: boolean;
        cancelPosition: string;
    }>;
    Icon: import("vue").DefineComponent<{
        icon: null;
        size: null;
        color: null;
    }, {
        __sfc: boolean;
        props: {
            icon: string;
            size?: string | undefined;
            color?: string | undefined;
        };
        isIdeIcon: import("vue").ComputedRef<boolean>;
        isProIcon: import("vue").ComputedRef<boolean>;
        isIdesIcon: import("vue").ComputedRef<boolean>;
        isLcIcon: import("vue").ComputedRef<boolean>;
        isSvgIcon: import("vue").ComputedRef<boolean>;
        colorMap: Record<string, string>;
        color: import("vue").ComputedRef<string>;
        IdeIcon: import("vue").DefineComponent<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }, {
            __sfc: boolean;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            icon: {
                type: StringConstructor;
                required: true;
            };
            size: {
                type: StringConstructor;
                default: string;
            };
            color: {
                type: StringConstructor;
            };
        }>>, {
            size: string;
        }>;
        SvgIcon: import("vue").DefineComponent<{
            name: null;
            width: {
                default: string;
            };
            height: {
                default: string;
            };
        }, {
            __sfc: boolean;
            map: Record<string, any>;
            props: {
                name: string;
                width: string;
                height: string;
            };
            src: import("vue").ComputedRef<any>;
            Column: import("vue").DefineComponent<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }, {
                __sfc: boolean;
                props: {
                    itemsCenter?: boolean | undefined;
                    justifyCenter?: boolean | undefined;
                    center?: boolean | undefined;
                    wrap?: boolean | undefined;
                    fit?: boolean | undefined;
                    gutter?: boolean | undefined;
                    grow?: boolean | undefined;
                    gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
                };
                clazz: import("vue").ComputedRef<{
                    'ui-items-center': boolean | undefined;
                    'ui-justify-center': boolean | undefined;
                    'ui-flex-grow': boolean | undefined;
                    'ui-h-0': boolean | undefined;
                    gutter: boolean | undefined;
                    'ui-gap-1': boolean;
                    'ui-gap-2': boolean;
                    'ui-gap-3': boolean;
                    'ui-gap-4': boolean;
                    'ui-gap-5': boolean;
                    'ui-gap-6': boolean;
                }>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                itemsCenter: {
                    type: BooleanConstructor;
                };
                justifyCenter: {
                    type: BooleanConstructor;
                };
                center: {
                    type: BooleanConstructor;
                };
                wrap: {
                    type: BooleanConstructor;
                };
                fit: {
                    type: BooleanConstructor;
                };
                gutter: {
                    type: BooleanConstructor;
                };
                grow: {
                    type: BooleanConstructor;
                };
                gap: {
                    type: (BooleanConstructor | NumberConstructor)[];
                };
            }>>, {
                itemsCenter: boolean;
                justifyCenter: boolean;
                center: boolean;
                wrap: boolean;
                fit: boolean;
                gutter: boolean;
                grow: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            name: null;
            width: {
                default: string;
            };
            height: {
                default: string;
            };
        }>>, {
            height: string;
            width: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        icon: null;
        size: null;
        color: null;
    }>>, {}>;
    InputCode: import("vue").DefineComponent<{
        value: null;
        showQuickValue: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            value?: string | undefined;
            showQuickValue?: boolean | undefined;
        };
        emit: (event: "input", ...args: any[]) => void;
        innerValue: import("vue").WritableComputedRef<string | undefined> | import("vue").Ref<string | undefined>;
        Editor: () => Promise<typeof import("@fly-vue/fuse-ui-codemirror/@types/components/editor.vue")>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            fit: boolean;
            gutter: boolean;
            grow: boolean;
        }>;
        QuickCode: import("vue").DefineComponent<{
            candidates: {
                default(): {
                    title: string;
                    value: string;
                }[];
            };
        }, {
            __sfc: boolean;
            emit: (event: "on-select", ...args: any[]) => void;
            onSelect: (name: string) => void;
            LcText: import("vue").DefineComponent<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }, {
                __sfc: boolean;
                props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                    bold: boolean;
                    small: boolean;
                    middle: boolean;
                    noWrap: boolean;
                    grey: boolean;
                    copyable: boolean;
                    selectable: boolean;
                    selected: boolean;
                    overflowHidden: boolean;
                } & {
                    size?: string | undefined;
                }>>>;
                slots: import("vue/types/v3-setup-context").Slots;
                clazz: import("vue").ComputedRef<Record<string, any>>;
                finalSize: import("vue").ComputedRef<string | null>;
                style: import("vue").ComputedRef<any>;
                doCopy: () => void;
                Tips: import("vue").DefineComponent<{}, {
                    __sfc: boolean;
                    slots: import("vue/types/v3-setup-context").Slots;
                    tip: import("vue").ComputedRef<string | undefined>;
                }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
                size: {
                    type: StringConstructor;
                };
                noWrap: {
                    type: BooleanConstructor;
                };
                bold: {
                    type: BooleanConstructor;
                };
                grey: {
                    type: BooleanConstructor;
                };
                copyable: {
                    type: BooleanConstructor;
                };
                small: {
                    type: BooleanConstructor;
                };
                middle: {
                    type: BooleanConstructor;
                };
                selectable: {
                    type: BooleanConstructor;
                };
                selected: {
                    type: BooleanConstructor;
                };
                overflowHidden: {
                    type: BooleanConstructor;
                    default: boolean;
                };
            }>>, {
                bold: boolean;
                small: boolean;
                middle: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                selectable: boolean;
                selected: boolean;
                overflowHidden: boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-select"[], string, Readonly<import("vue").ExtractPropTypes<{
            candidates: {
                default(): {
                    title: string;
                    value: string;
                }[];
            };
        }>>, {
            candidates: {
                title: string;
                value: string;
            }[];
        }>;
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
        value: null;
        showQuickValue: {
            type: BooleanConstructor;
        };
    }>>, {
        showQuickValue: boolean;
    }>;
    LcLine: import("vue").DefineComponent<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        type: null;
        position: {
            default: string;
        };
        size: null;
    }>>, {
        position: string;
    }>;
    LcText: import("vue").DefineComponent<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        } & {
            size?: string | undefined;
        }>>>;
        slots: import("vue/types/v3-setup-context").Slots;
        clazz: import("vue").ComputedRef<Record<string, any>>;
        finalSize: import("vue").ComputedRef<string | null>;
        style: import("vue").ComputedRef<any>;
        doCopy: () => void;
        Tips: import("vue").DefineComponent<{}, {
            __sfc: boolean;
            slots: import("vue/types/v3-setup-context").Slots;
            tip: import("vue").ComputedRef<string | undefined>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        size: {
            type: StringConstructor;
        };
        noWrap: {
            type: BooleanConstructor;
        };
        bold: {
            type: BooleanConstructor;
        };
        grey: {
            type: BooleanConstructor;
        };
        copyable: {
            type: BooleanConstructor;
        };
        small: {
            type: BooleanConstructor;
        };
        middle: {
            type: BooleanConstructor;
        };
        selectable: {
            type: BooleanConstructor;
        };
        selected: {
            type: BooleanConstructor;
        };
        overflowHidden: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>>, {
        bold: boolean;
        small: boolean;
        middle: boolean;
        noWrap: boolean;
        grey: boolean;
        copyable: boolean;
        selectable: boolean;
        selected: boolean;
        overflowHidden: boolean;
    }>;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Space: import("vue").DefineComponent<{}, {
        __sfc: boolean;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
    FApiDesigner: () => Promise<typeof import("@fly-vue/fuse-ui-editor/@types/components/api-designer/index.vue")>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "on-ok"[], string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
export default _default;
