import { FieldDataType as FieldType, IModelField as IField } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    value: {
        type: ObjectConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    editable: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        disabled: boolean;
        editable: boolean;
    } & {
        value?: Record<string, any> | undefined;
    }>>>;
    emit: (event: "input" | "on-change", ...args: any[]) => void;
    warning: import("vue").Ref<boolean>;
    list: import("vue").Ref<{
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type: FieldType;
        required?: boolean | undefined;
        maxLength?: number | undefined;
        minLength?: number | undefined;
    }[]>;
    up: (index: number) => void;
    down: (index: number) => void;
    addToList: (e: {
        name: string;
        title?: string | undefined;
        description?: string | undefined;
        type: FieldType;
        required?: boolean | undefined;
        maxLength?: number | undefined;
        minLength?: number | undefined;
    }) => void;
    remove: (index: number) => Promise<void>;
    finalColumns: import("vue").ComputedRef<import("@fly-vue/ide-base").ITableColumn[]>;
    add: () => void;
    isValueValid: (v: string | boolean | number) => string | number | boolean;
    validate: () => boolean;
    fromObjectToList: (obj: Record<string, IField>) => IField[];
    fromListToObject: (list: IField[]) => Record<string, any>;
    showWarning: () => Promise<void>;
    FieldDataType: typeof FieldType;
    Row: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-wrap': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        grow: boolean;
    }>;
    Column: import("vue").DefineComponent<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }, {
        __sfc: boolean;
        props: {
            itemsCenter?: boolean | undefined;
            justifyCenter?: boolean | undefined;
            center?: boolean | undefined;
            wrap?: boolean | undefined;
            fit?: boolean | undefined;
            gutter?: boolean | undefined;
            grow?: boolean | undefined;
            gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
        };
        clazz: import("vue").ComputedRef<{
            'ui-items-center': boolean | undefined;
            'ui-justify-center': boolean | undefined;
            'ui-flex-grow': boolean | undefined;
            'ui-h-0': boolean | undefined;
            gutter: boolean | undefined;
            'ui-gap-1': boolean;
            'ui-gap-2': boolean;
            'ui-gap-3': boolean;
            'ui-gap-4': boolean;
            'ui-gap-5': boolean;
            'ui-gap-6': boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        itemsCenter: {
            type: BooleanConstructor;
        };
        justifyCenter: {
            type: BooleanConstructor;
        };
        center: {
            type: BooleanConstructor;
        };
        wrap: {
            type: BooleanConstructor;
        };
        fit: {
            type: BooleanConstructor;
        };
        gutter: {
            type: BooleanConstructor;
        };
        grow: {
            type: BooleanConstructor;
        };
        gap: {
            type: (BooleanConstructor | NumberConstructor)[];
        };
    }>>, {
        itemsCenter: boolean;
        justifyCenter: boolean;
        center: boolean;
        wrap: boolean;
        fit: boolean;
        gutter: boolean;
        grow: boolean;
    }>;
    Table: import("vue").DefineComponent<{
        columns: null;
        data: null;
        size: {
            default: string;
        };
        fixHeader: {
            type: BooleanConstructor;
        };
        showNoData: {
            type: BooleanConstructor;
        };
        noDataText: {
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
    }, {
        __sfc: boolean;
        props: {
            columns: ITableColumn[];
            data: any[];
            size: "small" | "default" | "large";
            fixHeader?: boolean | undefined;
            showNoData?: boolean | undefined;
            noDataText: string;
            loading?: boolean | undefined;
        };
        heightMap: Record<string, string>;
        rowHeight: import("vue").ComputedRef<string>;
        cellStyle: (c: ITableColumn) => {
            width: string | undefined;
            minWidth: string | undefined;
            justifyContent: undefined;
        };
        Row: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-wrap': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            grow: boolean;
        }>;
        Column: import("vue").DefineComponent<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }, {
            __sfc: boolean;
            props: {
                itemsCenter?: boolean | undefined;
                justifyCenter?: boolean | undefined;
                center?: boolean | undefined;
                wrap?: boolean | undefined;
                fit?: boolean | undefined;
                gutter?: boolean | undefined;
                grow?: boolean | undefined;
                gap?: boolean | 1 | 2 | 3 | 4 | 5 | 6 | undefined;
            };
            clazz: import("vue").ComputedRef<{
                'ui-items-center': boolean | undefined;
                'ui-justify-center': boolean | undefined;
                'ui-flex-grow': boolean | undefined;
                'ui-h-0': boolean | undefined;
                gutter: boolean | undefined;
                'ui-gap-1': boolean;
                'ui-gap-2': boolean;
                'ui-gap-3': boolean;
                'ui-gap-4': boolean;
                'ui-gap-5': boolean;
                'ui-gap-6': boolean;
            }>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            itemsCenter: {
                type: BooleanConstructor;
            };
            justifyCenter: {
                type: BooleanConstructor;
            };
            center: {
                type: BooleanConstructor;
            };
            wrap: {
                type: BooleanConstructor;
            };
            fit: {
                type: BooleanConstructor;
            };
            gutter: {
                type: BooleanConstructor;
            };
            grow: {
                type: BooleanConstructor;
            };
            gap: {
                type: (BooleanConstructor | NumberConstructor)[];
            };
        }>>, {
            itemsCenter: boolean;
            justifyCenter: boolean;
            center: boolean;
            wrap: boolean;
            fit: boolean;
            gutter: boolean;
            grow: boolean;
        }>;
        LcText: import("vue").DefineComponent<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                bold: boolean;
                small: boolean;
                middle: boolean;
                noWrap: boolean;
                grey: boolean;
                copyable: boolean;
                selectable: boolean;
                selected: boolean;
                overflowHidden: boolean;
            } & {
                size?: string | undefined;
            }>>>;
            slots: import("vue/types/v3-setup-context").Slots;
            clazz: import("vue").ComputedRef<Record<string, any>>;
            finalSize: import("vue").ComputedRef<string | null>;
            style: import("vue").ComputedRef<any>;
            doCopy: () => void;
            Tips: import("vue").DefineComponent<{}, {
                __sfc: boolean;
                slots: import("vue/types/v3-setup-context").Slots;
                tip: import("vue").ComputedRef<string | undefined>;
            }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{}>>, {}>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            size: {
                type: StringConstructor;
            };
            noWrap: {
                type: BooleanConstructor;
            };
            bold: {
                type: BooleanConstructor;
            };
            grey: {
                type: BooleanConstructor;
            };
            copyable: {
                type: BooleanConstructor;
            };
            small: {
                type: BooleanConstructor;
            };
            middle: {
                type: BooleanConstructor;
            };
            selectable: {
                type: BooleanConstructor;
            };
            selected: {
                type: BooleanConstructor;
            };
            overflowHidden: {
                type: BooleanConstructor;
                default: boolean;
            };
        }>>, {
            bold: boolean;
            small: boolean;
            middle: boolean;
            noWrap: boolean;
            grey: boolean;
            copyable: boolean;
            selectable: boolean;
            selected: boolean;
            overflowHidden: boolean;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        columns: null;
        data: null;
        size: {
            default: string;
        };
        fixHeader: {
            type: BooleanConstructor;
        };
        showNoData: {
            type: BooleanConstructor;
        };
        noDataText: {
            default: string;
        };
        loading: {
            type: BooleanConstructor;
        };
    }>>, {
        size: string;
        loading: boolean;
        fixHeader: boolean;
        showNoData: boolean;
        noDataText: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-change")[], string, Readonly<import("vue").ExtractPropTypes<{
    value: {
        type: ObjectConstructor;
    };
    disabled: {
        type: BooleanConstructor;
    };
    editable: {
        type: BooleanConstructor;
    };
}>>, {
    disabled: boolean;
    editable: boolean;
}>;
export default _default;
