import { IActionDef, IAuthorityDef } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    data: {
        type: ObjectConstructor;
        required: true;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        data: Record<string, any>;
    } & {}>>>;
    authEnabled: import("vue").Ref<boolean>;
    normalAuth: import("vue").Ref<string[]>;
    extraAuth: import("vue").Ref<string[]>;
    authExpr: import("vue").Ref<any>;
    resourceAuth: import("vue").Ref<string>;
    actionAuth: import("vue").Ref<string>;
    dataAuthEnabled: import("vue").Ref<boolean>;
    anonymousEnabled: import("vue").Ref<boolean>;
    isEnableAuth: import("vue").ComputedRef<boolean>;
    list: import("vue").WritableComputedRef<IAuthorityDef[]>;
    resources: import("vue").ComputedRef<IAuthorityDef[]>;
    actions: import("vue").Ref<{
        title: string;
        desc: string;
        code: string;
        originalCode?: string | undefined;
        type: "CREATE" | "READ" | "UPDATE" | "DELETE";
    }[]>;
    addAuthVisible: import("vue").Ref<boolean>;
    addAuthCode: import("vue").Ref<string>;
    refInput: import("vue").Ref<any>;
    addExtraAuth: () => void;
    addAuthClose: () => void;
    addAuthOpen: () => Promise<void>;
    removeExtraAuth: (index: number) => void;
    initApiAuthUiData: (json: Record<string, any>) => void;
    save: () => {
        anonymous: boolean;
        auth: {
            scopes: string[];
            enabled: boolean;
            expr: any;
        };
        dataSecurity: {
            enabled: boolean;
            resource: string;
            action: string;
        };
    };
    SelectAuth: import("vue").DefineComponent<{
        value: {
            type: import("vue").PropType<string[]>;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
            placeholder: string;
        } & {
            value?: string[] | undefined;
        }>>>;
        emit: (event: "input" | "on-loaded", ...args: any[]) => void;
        innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
        list: import("vue").WritableComputedRef<IAuthorityDef[]>;
        data: import("vue").ComputedRef<IIViewTreeNode<IAuthorityDef | IActionDef>[]>;
        convertAuthTreeToIViewTree: (list?: IAuthorityDef[] | undefined, result?: IIViewTreeNode<IAuthorityDef | IActionDef>[] | undefined) => IIViewTreeNode<IAuthorityDef | IActionDef>[];
        onChange: (value: any) => void;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("input" | "on-loaded")[], string, Readonly<import("vue").ExtractPropTypes<{
        value: {
            type: import("vue").PropType<string[]>;
        };
        placeholder: {
            type: StringConstructor;
            default: string;
        };
    }>>, {
        placeholder: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: ObjectConstructor;
        required: true;
    };
}>>, {}>;
export default _default;
